# Get Operation List

## GET /krc20/oplist

> Get the list of token operations (at least one query parameter with "address" or "tick" must be provided)

```json
{"openapi":"3.0.0","info":{"title":"Kasplex KRC-20 API Documentation","version":"1.0.0"},"tags":[{"name":"Get-Operation-List"}],"servers":[{"url":"https://tn10api.kasplex.org/v1","description":"Kasplex KRC-20 TN10 Testnet"},{"url":"https://api.kasplex.org/v1","description":"Kasplex KRC-20 Mainnet"}],"paths":{"/krc20/oplist":{"get":{"tags":["Get-Operation-List"],"description":"Get the list of token operations (at least one query parameter with \"address\" or \"tick\" must be provided)","parameters":[{"name":"next","in":"query","schema":{"type":"string"},"required":false,"description":"Cursor to start next page, returned by the last request."},{"name":"prev","in":"query","schema":{"type":"string"},"required":false,"description":"Cursor to start previous page, returned by the last request."},{"name":"address","in":"query","schema":{"type":"string"},"required":false,"description":"Filtered by address (case-insensitive)"},{"name":"tick","in":"query","schema":{"type":"string"},"required":false,"description":"Filtered by ticker or contract address of the token (case-insensitive)"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationListResponse"}}}}}}}},"components":{"schemas":{"OperationListResponse":{"type":"object","properties":{"message":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"},"result":{"type":"array","description":"Operation list, up to 50 items. If empty or less than 50, indicating the last page.","items":{"$ref":"#/components/schemas/TokenOperation"}}}},"TokenOperation":{"type":"object","properties":{"p":{"$ref":"#/components/schemas/KRC20Protocol"},"op":{"$ref":"#/components/schemas/OperationType"},"tick":{"type":"string","description":"Token ticker in \"deploy-mint\" mode"},"ca":{"type":"string","description":"Token contract address in \"deploy-issue\" mode"},"name":{"type":"string","description":"Token name in \"deploy-issue\" mode (only for \"deploy\" operation)"},"max":{"type":"string","description":"Maximum supply amount (with decimals, only for \"deploy\" operation)"},"lim":{"type":"string","description":"Mint limit per operation (with decimals, only for \"deploy\" operation)"},"pre":{"type":"string","description":"The number of tokens pre allocated (with decimals, only for \"deploy\" operation)"},"dec":{"type":"string","description":"Number of decimal places (0-18, only for \"deploy\" operation)"},"mod":{"type":"string","description":"Deployment mode of the token (only for \"deploy\" operation)"},"amt":{"type":"string","description":"Amount of token (with decimals)"},"memo":{"type":"string","description":"Additional information (only for \"transfer\" operation)"},"from":{"type":"string","description":"Sender address"},"to":{"type":"string","description":"Recipient or target address"},"opScore":{"type":"string","description":"OP score"},"hashRev":{"type":"string","description":"OP's reveal transaction ID"},"feeRev":{"type":"string","description":"OP's reveal transaction fee (with decimals)"},"txAccept":{"type":"string","description":"OP's reveal transaction acceptance (1=accepted, 0=pending)"},"opAccept":{"type":"string","description":"Operation acceptance (0=pending, 1=accepted, -1=rejected)"},"opError":{"type":"string","description":"Error message if operation is rejected"},"mtsAdd":{"type":"string","description":"Timestamp when operation is created (ms)"},"mtsMod":{"type":"string","description":"Timestamp of latest operation modification (ms)"},"utxo":{"type":"string","description":"Order-bound UTXO information (only for \"list\" operation)"},"price":{"type":"string","description":"Sold price (with decimals, only for \"send\" operation)"},"checkpoint":{"type":"string","description":"Checkpoint of operation"}}},"KRC20Protocol":{"type":"string","description":"KRC-20 protocol identifier"},"OperationType":{"type":"string","description":"Type of KRC-20 operation"}}}}
```
